Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040775
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementminorhave not tried2019-04-10 12:352019-05-08 11:35
ReportershuehnerView Statuspublic 
Assigned Tononofrancisco 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision0746a92970dd
ProjectionnoneETAnoneTarget Version3.0PR19Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040775: ResetAccounting.hasProcessing is not using bind-parameters

DescriptionThis code is not using bind-params:

    String hql = " select count(*) from ADColumn where table.id = '" + strTableId + "' "
        + " and lower(dBColumnName) = 'processing'";
    Query<Long> query = OBDal.getInstance().getSession().createQuery(hql, Long.class);
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040579 closedTriage Finance ResetAccounting.hasProcessing is not using bind-parameters 

-  Notes
(0111563)
hgbot (developer)
2019-05-08 11:34

Repository: erp/backports/3.0PR19Q2
Changeset: 0746a92970dd0d63768d9e55d13cc5b7263c654c
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Mon Apr 22 16:23:50 2019 -0400
URL: http://code.openbravo.com/erp/backports/3.0PR19Q2/rev/0746a92970dd0d63768d9e55d13cc5b7263c654c [^]

Fixes issue 40775: Uses bind parameters in query

Instead of using string concatenation in query, bind parameters are used.

---
M src/org/openbravo/financial/ResetAccounting.java
---
(0111564)
Sandrahuguet (developer)
2019-05-08 11:35

Code review + testing OK

- Issue History
Date Modified Username Field Change
2019-05-04 17:17 nonofrancisco Type defect => backport
2019-05-04 17:17 nonofrancisco Target Version => 3.0PR19Q2
2019-05-08 11:10 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-05-08 11:34 hgbot Checkin
2019-05-08 11:34 hgbot Note Added: 0111563
2019-05-08 11:34 hgbot Status scheduled => resolved
2019-05-08 11:34 hgbot Resolution open => fixed
2019-05-08 11:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR19Q2/rev/0746a92970dd0d63768d9e55d13cc5b7263c654c [^]
2019-05-08 11:35 Sandrahuguet Review Assigned To => Sandrahuguet
2019-05-08 11:35 Sandrahuguet Note Added: 0111564
2019-05-08 11:35 Sandrahuguet Status resolved => closed
2019-05-08 11:35 Sandrahuguet Fixed in Version => 3.0PR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker